Page MenuHomePhabricator

Consistently enforce min-width
Closed, ResolvedPublic

Description

For screen widths below ~356pixels, due to differences in the implementations, the "sidebar of interactivity" behaves inconsistently.
The termbox edit pen will not allow to move closer to the left edge of the screen (disappearing as a consequence), while the other edit pens will stay at a fixed distance from the right edge of the screen

@356

@325

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 11 2019, 12:22 PM
Pablo-WMDE updated the task description. (Show Details)Jan 11 2019, 12:22 PM

I looked into this a little bit. According to the mocks we have a total min-width of 340px = 260 (main content) + 2*16 (borders) + 48 (interactive sidebar), so we don't have to (??) look at anything below that. At this moment in time, the the layout breaks a little bit before that because we add extra padding to the label/description/alias-boxes, which makes them go over the allotted width of 260px.

Side-note: The not-that-old iPhone 5/5s/SE has a resolution of 320x568, so maybe 340px is a bit too high for a min-width?

Jakob_WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-7 board.
Pablo-WMDE removed Jakob_WMDE as the assignee of this task.Jan 18 2019, 11:12 AM
Pablo-WMDE moved this task from Peer Review to Done on the Wikidata-Termbox-Iteration-7 board.
Jakob_WMDE closed this task as Resolved.Jan 28 2019, 3:38 PM